WPS4ParserInternal::SubDocument Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
WPS4ParserInternal::SubDocument Class Reference

Internal: the subdocument of a WPS4Parser. More...

Inheritance diagram for WPS4ParserInternal::SubDocument:

## Public Types
enum | Type { Unknown, MN }
| type of an entry stored in textId More...

## Public Member Functions
| SubDocument (RVNGInputStreamPtr input, WPS4Parser &pars, WPSEntry const &entry)
| constructor for a text entry More...
| ~SubDocument ()
| destructor More...
virtual bool | operator== (shared_ptr< WPSTextSubDocument > const &doc) const
| operator== More...
void | parse (shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType)
| the parser function More...
Public Member Functions inherited from WPSTextSubDocument
| WPSTextSubDocument (RVNGInputStreamPtr &input, WPSParser *parser, int id=0)
| constructor More...
virtual | ~WPSTextSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
virtual bool | operator== (shared_ptr< WPSSubDocument > const &doc) const
| an operator = More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
WPSEntry | m_entry
| the entry More...

## Additional Inherited Members
Protected Attributes inherited from WPSTextSubDocument
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a WPS4Parser.

## Member Enumeration Documentation

enum WPS4ParserInternal::SubDocument::Type

type of an entry stored in textId

Enumerator
Unknown |
MN |

## Constructor & Destructor Documentation

WPS4ParserInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr | input,
|  | WPS4Parser & | pars,
|  | WPSEntry const & | entry
| ) |  |
| inline

constructor for a text entry

WPS4ParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inline

destructor

## Member Function Documentation

virtual bool WPS4ParserInternal::SubDocument::operator== | ( | shared_ptr< WPSTextSubDocument > const & | doc | ) | const
| inlinevirtual

operator==

Reimplemented from WPSTextSubDocument.

void WPS4ParserInternal::SubDocument::parse | ( | shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| virtual

the parser function

Implements WPSTextSubDocument.

Referenced by operator==().

## Member Data Documentation

WPSEntry WPS4ParserInternal::SubDocument::m_entry

the entry

Referenced by operator==(), and parse().

The documentation for this class was generated from the following file:

- WPS4.cpp